## cups 1.3.8-maemo10

=== Makefile ===
#
# "$Id: Makefile 7768 2008-07-18 21:03:34Z mike $"
#
#   Top-level Makefile for the Common UNIX Printing System (CUPS).
#
#   Copyright 2007 by Apple Inc.
#   Copyright 1997-2007 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include Makedefs

#
# Directories to make...
#

DIRS	=	cups backend berkeley cgi-bin filter locale man monitor \
		notifier $(PDFTOPS) scheduler systemv test \
		$(PHPDIR) \
		conf data doc $(FONTS) ppd templates


#
# Make all targets...
#

all:
	chmod +x cups-config
	echo Using ALL_CFLAGS="$(ALL_CFLAGS)"
	echo Using ALL_CXXFLAGS="$(ALL_CXXFLAGS)"
	echo Using LDFLAGS="$(LDFLAGS)"
	echo Using LIBS="$(LIBS)"
	for dir in $(DIRS); do\
		echo Making all in $$dir... ;\
		(cd $$dir ; $(MAKE) $(MFLAGS)) || exit 1;\
	done


#
# Remove object and target files...
#

clean:
	for dir in $(DIRS); do\
		echo Cleaning in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) clean) || exit 1;\
	done


#
# Remove all non-distribution files...
#

distclean:	clean
	$(RM) Makedefs config.h config.log config.status
	$(RM) cups-config
	$(RM) conf/cupsd.conf conf/mime.convs conf/pam.std conf/snmp.conf
	$(RM) doc/help/ref-cupsd-conf.html doc/help/standard.html doc/index.html
	$(RM) init/cups.sh init/cups-lpd init/org.cups.cups-lpd.plist
	$(RM) man/client.conf.man
	$(RM) man/cups-deviced.man man/cups-driverd.man
	$(RM) man/cups-lpd.man man/cupsaddsmb.man man/cupsd.man
	$(RM) man/cupsd.conf.man man/lpoptions.man
	$(RM) packaging/cups.list
	$(RM) templates/header.tmpl
	-$(RM) doc/*/index.html
	-$(RM) templates/*/header.tmpl
	-$(RM) -r autom4te*.cache


#
# Make dependencies
#

depend:
	for dir in $(DIRS); do\
		echo Making dependencies in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) depend) || exit 1;\
	done


#
# Run the clang.llvm.org static code analysis tool on the C sources.
#

.PHONY: clang
clang:
	if test ! -d clang; then \
		mkdir clang; \
	else \
		rm -rf clang/*; \
	fi
	$(MAKE) $(MFLAGS) CC="scan-build -o ../clang $(CC)" \
		CXX="scan-build -o ../clang $(CXX)" clean all
	test `ls -1 clang | wc -l` != 0 || exit 1


#
# Generate a ctags file...
#

ctags:
	ctags -R .


#
# Install object and target files...
#

install:	installhdrs
	for dir in $(DIRS); do\
		echo Installing in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) install) || exit 1;\
	done
	echo Installing cups-config script...
	$(INSTALL_DIR) -m 755 $(BINDIR)
	$(INSTALL_SCRIPT) cups-config $(BINDIR)/cups-config
	if test "x$(INITDIR)" != x; then \
		echo Installing init scripts...; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/init.d; \
		$(INSTALL_SCRIPT) init/cups.sh $(BUILDROOT)$(INITDIR)/init.d/cups; \
		for level in $(RCLEVELS); do \
			$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/rc$${level}.d; \
			$(LN) ../init.d/cups $(BUILDROOT)$(INITDIR)/rc$${level}.d/S$(RCSTART)cups; \
			if test `uname` = HP-UX; then \
				level=`expr $$level - 1`; \
				$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/rc$${level}.d; \
			fi; \
			$(LN) ../init.d/cups $(BUILDROOT)$(INITDIR)/rc$${level}.d/K$(RCSTOP)cups; \
		done; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/rc0.d; \
		$(LN) ../init.d/cups $(BUILDROOT)$(INITDIR)/rc0.d/K$(RCSTOP)cups; \
	fi
	if test "x$(INITDIR)" = x -a "x$(INITDDIR)" != x; then \
		$(INSTALL_DIR) $(BUILDROOT)$(INITDDIR); \
		if test "$(INITDDIR)" = "/System/Library/StartupItems/PrintingServices"; then \
			echo Installing StartupItems files...; \
			$(INSTALL_SCRIPT) init/PrintingServices $(BUILDROOT)$(INITDDIR)/PrintingServices; \
			$(INSTALL_DATA) init/StartupParameters.plist $(BUILDROOT)$(INITDDIR)/StartupParameters.plist; \
			$(INSTALL_DIR) $(BUILDROOT)$(INITDDIR)/Resources/English.lproj; \
			$(INSTALL_DATA) init/Localizable.strings $(BUILDROOT)$(INITDDIR)/Resources/English.lproj/Localizable.strings; \
		elif test "$(INITDDIR)" = "/System/Library/LaunchDaemons"; then \
			echo Installing LaunchDaemons configuration files...; \
			$(INSTALL_DATA) init/org.cups.cupsd.plist $(BUILDROOT)$(DEFAULT_LAUNCHD_CONF); \
			$(INSTALL_DATA) init/org.cups.cups-lpd.plist $(BUILDROOT)/System/Library/LaunchDaemons; \
			case `uname -r` in \
				8.*) \
				$(INSTALL_DIR) $(BUILDROOT)/System/Library/StartupItems/PrintingServices; \
				$(INSTALL_SCRIPT) init/PrintingServices.launchd $(BUILDROOT)/System/Library/StartupItems/PrintingServices/PrintingServices; \
				$(INSTALL_DATA) init/StartupParameters.plist $(BUILDROOT)/System/Library/StartupItems/PrintingServices/StartupParameters.plist; \
				$(INSTALL_DIR) $(BUILDROOT)/System/Library/StartupItems/PrintingServices/Resources/English.lproj; \
				$(INSTALL_DATA) init/Localizable.strings $(BUILDROOT)/System/Library/StartupItems/PrintingServices/Resources/English.lproj/Localizable.strings; \
				;; \
			esac \
		else \
			echo Installing RC script...; \
			$(INSTALL_SCRIPT) init/cups.sh $(BUILDROOT)$(INITDDIR)/cups; \
		fi \
	fi
	if test "x$(DBUSDIR)" != x; then \
		echo Installing cups.conf in $(DBUSDIR)...;\
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(DBUSDIR)/system.d; \
		$(INSTALL_DATA) packaging/cups-dbus.conf $(BUILDROOT)$(DBUSDIR)/system.d/cups.conf; \
	fi
	if test "x$(XINETD)" != x; then \
		echo Installing xinetd configuration file for cups-lpd...; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(XINETD); \
		$(INSTALL_DATA) init/cups-lpd $(BUILDROOT)$(XINETD)/cups-lpd; \
	fi
	if test "x$(MENUDIR)" != x; then \
		echo Installing desktop menu...; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(MENUDIR); \
		$(INSTALL_DATA) desktop/cups.desktop $(BUILDROOT)$(MENUDIR); \
	fi
	if test "x$(ICONDIR)" != x; then \
		echo Installing desktop icons...; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(ICONDIR)/hicolor/16x16/apps; \
		$(INSTALL_DATA) desktop/cups-16.png $(BUILDROOT)$(ICONDIR)/hicolor/16x16/apps/cups.png; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(ICONDIR)/hicolor/32x32/apps; \
		$(INSTALL_DATA) desktop/cups-32.png $(BUILDROOT)$(ICONDIR)/hicolor/32x32/apps/cups.png; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(ICONDIR)/hicolor/64x64/apps; \
		$(INSTALL_DATA) desktop/cups-64.png $(BUILDROOT)$(ICONDIR)/hicolor/64x64/apps/cups.png; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(ICONDIR)/hicolor/128x128/apps; \
		$(INSTALL_DATA) desktop/cups-128.png $(BUILDROOT)$(ICONDIR)/hicolor/128x128/apps/cups.png; \
	fi


#
# Install source and header files...
#

installsrc:
	gnutar --dereference --exclude=.svn -cf - . | gnutar -C $(SRCROOT) -xf -

installhdrs:
	(cd cups ; $(MAKE) $(MFLAGS) installhdrs) || exit 1;\
	(cd filter ; $(MAKE) $(MFLAGS) installhdrs) || exit 1;


#
# Uninstall object and target files...
#

uninstall:
	for dir in $(DIRS); do\
		echo Uninstalling in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) uninstall) || exit 1;\
	done
	echo Uninstalling cups-config script...
	$(RM) $(BINDIR)/cups-config
	-$(RMDIR) $(BINDIR)
	echo Uninstalling startup script...
	if test "x$(INITDIR)" != x; then \
		$(RM) $(BUILDROOT)$(INITDIR)/init.d/cups; \
		$(RMDIR) $(BUILDROOT)$(INITDIR)/init.d; \
		$(RM)  $(BUILDROOT)$(INITDIR)/rc0.d/K00cups; \
		$(RMDIR) $(BUILDROOT)$(INITDIR)/rc0.d; \
		$(RM) $(BUILDROOT)$(INITDIR)/rc2.d/S99cups; \
		$(RMDIR) $(BUILDROOT)$(INITDIR)/rc2.d; \
		$(RM) $(BUILDROOT)$(INITDIR)/rc3.d/S99cups; \
		$(RMDIR) $(BUILDROOT)$(INITDIR)/rc3.d; \
		$(RM) $(BUILDROOT)$(INITDIR)/rc5.d/S99cups; \
		$(RMDIR) $(BUILDROOT)$(INITDIR)/rc5.d; \
	fi
	if test "x$(INITDIR)" = x -a "x$(INITDDIR)" != x; then \
		if test "$(INITDDIR)" = "/System/Library/StartupItems/PrintingServices"; then \
			$(RM) $(BUILDROOT)$(INITDDIR)/PrintingServices; \
			$(RM) $(BUILDROOT)$(INITDDIR)/StartupParameters.plist; \
			$(RM) $(BUILDROOT)$(INITDDIR)/Resources/English.lproj/Localizable.strings; \
			$(RMDIR) $(BUILDROOT)$(INITDDIR)/Resources/English.lproj; \
		elif test "$(INITDDIR)" = "/System/Library/LaunchDaemons"; then \
			$(RM) $(BUILDROOT)$(INITDDIR)/org.cups.cupsd.plist; \
			$(RM) $(BUILDROOT)$(INITDDIR)/org.cups.cups-lpd.plist; \
			$(RMDIR) $(BUILDROOT)/System/Library/StartupItems/PrintingServices; \
		else \
			$(INSTALL_SCRIPT) init/cups.sh $(BUILDROOT)$(INITDDIR)/cups; \
		fi \
		$(RMDIR) $(BUILDROOT)$(INITDDIR); \
	fi
	if test "x$(DBUSDIR)" != x; then \
		echo Uninstalling cups.conf in $(DBUSDIR)...;\
		$(RM) $(BUILDROOT)$(DBUSDIR)/cups.conf; \
		$(RMDIR) $(BUILDROOT)$(DBUSDIR); \
	fi
	$(RM) $(BUILDROOT)/etc/xinetd.d/cups-lpd
	$(RM) $(BUILDROOT)/usr/share/applications/cups.desktop
	$(RM) $(BUILDROOT)/usr/share/icons/hicolor/16x16/apps/cups.png
	$(RM) $(BUILDROOT)/usr/share/icons/hicolor/32x32/apps/cups.png
	$(RM) $(BUILDROOT)/usr/share/icons/hicolor/64x64/apps/cups.png
	$(RM) $(BUILDROOT)/usr/share/icons/hicolor/128x128/apps/cups.png


#
# Run the test suite...
#

test:	all
	echo Running CUPS test suite...
	cd test; ./run-stp-tests.sh


check:	all
	echo Running CUPS test suite with defaults...
	cd test; ./run-stp-tests.sh 1 0 n


#
# Make software distributions using EPM (http://www.easysw.com/epm/)...
#

EPMFLAGS	=	-v --output-dir dist $(EPMARCH)

aix bsd deb depot inst pkg setld slackware swinstall tardist:
	epm $(EPMFLAGS) -f $@ cups packaging/cups.list

epm:
	epm $(EPMFLAGS) -s packaging/installer.gif cups packaging/cups.list

osx:
	epm $(EPMFLAGS) -f osx -s packaging/installer.tif cups packaging/cups.list

rpm:
	epm $(EPMFLAGS) -f rpm -s packaging/installer.gif cups packaging/cups.list

.PHONEY:	dist
dist:	all
	$(RM) -r dist
	$(MAKE) $(MFLAGS) epm
	case `uname` in \
		*BSD*) $(MAKE) $(MFLAGS) bsd;; \
		Darwin*) $(MAKE) $(MFLAGS) osx;; \
		IRIX*) $(MAKE) $(MFLAGS) tardist;; \
		Linux*) $(MAKE) $(MFLAGS) rpm;; \
		SunOS*) $(MAKE) $(MFLAGS) pkg;; \
	esac


#
# End of "$Id: Makefile 7768 2008-07-18 21:03:34Z mike $".
#

## cups 1.3.8-1maemo1

=== debian/changelog ===
cups (1.3.8-1maemo1) intrepid; urgency=low

  * Removed various dependencies.
  * Removed translated man pages.

 -- Jonas Hurrelmann <j@outpo.st>  Mon, 18 Aug 2008 21:27:48 +0200

cups (1.3.8-1) unstable; urgency=low

  * New upstream release: some 20 bug fixes, no new features (see
    http://www.cups.org/articles.php?L562 for details).
  * Dropped patches, accepted upstream:
    - empty_option_value_crash.dpatch
    - CVE-2008-1722.dpatch
    - glibc2.8_build.dpatch
    - HostNameLookups_values.dpatch
  * manpage-typos.dpatch: Most of this got applied to 1.3.8. The ".Sh" ->
    ".SS" fix only got applied to trunk, so backport these remaining ones.
  * manpage-translations.dpatch: Update to new upstream version.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Jul 2008 08:58:57 +0200

cups (1.3.7-9) unstable; urgency=low

  [ Martin Pitt ]
  * Update Turkish debconf translations, thanks Mert Dirik!
    (Closes: #489408)

  [ Till Kamppeter ]
  * Updated "Suggests:" for the "cups" package, replacing obsolete
    foomatic-filters-ppds by foomatic-db and foomatic-db-engine.
    (Closes: #286127)

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Jul 2008 09:49:08 +0200

cups (1.3.7-8) unstable; urgency=medium

  * Urgency medium due to RC bug fix (#487606).
  * debian/cups.init.d: Restart xprint on start/stop/reload. (Closes: #285332)
  * Add empty_option_value_crash.dpatch: Fix crash on cupsd.conf options
    without a value. (Closes: #250848)
  * Add glibc2.8_build.dpatch: Fix building with glibc 2.8.
  * debian/patches/00list: Sort patches by upstream status.
  * Add HostNameLookups_values.dpatch: Make possible values of HostNameLookups
    consistent to manpage and to other options in cupsd.conf. (Closes: #379014)
  * debian/patches/confdirperms.dpatch: Fix typo, thanks Nicolas François!
  * Add manpage-typos.dpatch: Fix various typos in manpages, thanks Nicolas
    François! (part of #478597)
  * Add manpage-translations.dpatch: Provide po4a infrastructure for
    translating mangpages, and add French manpage translations. Add po4a build
    dependency, and add translated manpages to debian/*.install. Thanks to
    Nicolas François! (Closes: #478597)
  * Add Slovak debconf translations, thanks to Ivan Masár. (Closes: #488906)
  * Add Romanian debconf translations, thanks to Eddy Petrișor.
    (Closes: #488597)
  * debian/cups.init.d: Test for executability of daemon, not merely its
    existence. (Closes: #488843)
  * debian/cups.prerm: Do not delete the /usr/lib/cups/backend/smb symlink on
    removal, it is owned by smbclient, not cups. (Closes: #487606)

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 Jul 2008 11:58:47 +0200

cups (1.3.7-7) unstable; urgency=low

  * Provide transitional cupsys-common package, to ease apt-get dist-upgrade.
  * debian/cups.preinst: Run conffile transition for "install" as well, not
    just for "upgrade" (brown paperback for this thinko!), and also remove the
    old rc.d symlinks for cupsys. (Closes: #485514)
  * debian/control: Drop obsolete "gs-esp" alternative dependency.

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 Jun 2008 16:32:33 +0200

cups (1.3.7-6) unstable; urgency=low

  * Rename the package to cups. This is the proper upstream name. Upstream has
    made it clear that the usual distro patches are not a trademark violation.
    This unbreaks all the documentation out there, which refers to "cups", not
    "cupsys" (including names of the init script), as well as unbreaks
    dependencies of openprinting.org's LSB printer driver packages.
    (Closes: #482296, LP: #233790)
  * debian/cups.{config,postinst}: Remove some old cruft.
  * debian/cups.preinst: Move conffiles to new names on upgrades, in a dpkg
    conffile question avoiding manner.
  * debian/cupsys.install: Install oopstops.{convs,types} in /etc/cups, they
    do not work in /usr/share/cups/mime (loaded too early). (Closes: #474109)

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 May 2008 00:32:17 +0200

cupsys (1.3.7-5) unstable; urgency=low

  * debian/cupsys-bsd.install: Remove daemon/cups-lpd. It really does not
    belong into -bsd.
  * debian/control: Add appropriate Conflicts/Replaces to older cupsys-bsd
    which shipped daemon/cups-lpd. (Closes: #477392)

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2008 11:00:41 +0200

cupsys (1.3.7-4) unstable; urgency=high

  * debian/rules: Do not fail the build when the test suite fails on m68k and
    arm. It is currently unclear why these tests fail on these architectures,
    but that shouldn't block testing migration (given that the actual bugs
    existed before as well, they just didn't get caught during build).

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Apr 2008 18:34:35 +0200

cupsys (1.3.7-3) unstable; urgency=low

  * debian/copyright: Update to current reality. (Closes: #474176)
  * Drop usage of dh_movefiles, rename the remaining debian/*.files to
    debian/*.install. This also brings back the lost
    /usr/lib/cups/daemon/cups-lpd.
  * debian/libcupsimage2-dev.install: Add cups/i18n.h from upstream (not
    installed by upstream Makefiles any more). (Closes: #474922)
  * debian/rules: Drop lintian magic, current debhelper (dh_lintian) and cdbs
    support that now. Rename .lintian -> .lintian-overrides for this.
  * debian/cupsys.doc-base: Fix section.

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Apr 2008 12:28:25 +0200

cupsys (1.3.7-2) unstable; urgency=high

  [ Martin Pitt ]
  * debian/control: Add missing build dependency lsb-release. (LP: #211375)
    Also wrap long fields, so that they are easier to edit.
  * Drop pdftops-wait-eintr.dpatch, an improved version has been committed
    upstream. Integrate the upstream solution into pdftops-cups-1.4.dpatch.
  * Add pdftops-dont_fail_on_cancel.dpatch: Fix behavioural change in patch
    from STR #2780 which broke the test suite: When a job is cancelled, do not
    report a failure in the exit code of pdftops.


=== debian/control ===
Source: cups
Priority: optional
Section: net
Maintainer: Jonas Hurrelmann <j@outpo.st>
Standards-Version: 3.7.3
Build-Depends: libtiff4-dev, libjpeg62-dev, zlib1g-dev,
 libpng12-dev, libgnutls-dev, libpaper-dev, 
 debhelper (>= 5.0), po-debconf, cdbs (>= 0.4.27), sharutils, 
 dpatch (>= 1.11), libdbus-1-dev,
 libavahi-compat-libdnssd-dev, poppler-utils | xpdf-utils, lsb-release
Uploaders: Jonas Hurrelmann <j@outpo.st>
Vcs-Svn: svn://svn.debian.org/svn/pkg-cups/cupsys/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cups/cupsys/trunk

Package: libcups2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: cups-common
Conflicts:  libcupsys2 (<< 1.3.7-6)
Replaces: libcupsys2 (<< 1.3.7-6)
Provides: libcupsys2
Description: Common UNIX Printing System(tm) - libs
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: libcupsimage2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Common UNIX Printing System(tm) - image libs
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cups
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 1.2.9) | debconf-2.0,
 poppler-utils | xpdf-utils, perl-modules, procps, 
 ghostscript, lsb-base (>= 3), cups-common,  
 ssl-cert (>= 1.0.11), adduser
Recommends: cups-client, smbclient (>= 3.0.9), foomatic-filters, avahi-utils
Suggests: cups-bsd, cups-driver-gutenprint, foomatic-db-engine, foomatic-db,
 hplip, xpdf-korean | xpdf-japanese | xpdf-chinese-traditional | xpdf-chinese-simplified, 
 cups-pdf
Replaces: cupsys-bsd (<< 1.3.7-5), cupsys (<< 1.3.7-6)
Conflicts: cupsys-bsd (<< 1.3.7-5), cupsys (<< 1.3.7-6)
Provides: cupsys
Description: Common UNIX Printing System(tm) - server
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon and related files.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cups-client
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, cups-common, adduser
Suggests: cups, kdeprint, gtklp, cups-pt, xpp, cups-bsd
Conflicts: lprng, cupsys-client (<< 1.3.7-6)
Replaces: cupsys-client (<< 1.3.7-6)
Provides: cupsys-client
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the System V style print client programs.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: libcups2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: libcups2 (= ${binary:Version}), libgnutls-dev
Conflicts: libcupsys2-dev (<< 1.3.7-6)
Replaces: libcupsys2-dev (<< 1.3.7-6)
Provides: libcupsys2-dev
Description: Common UNIX Printing System(tm) - development files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: libcupsimage2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: libcupsimage2 (= ${binary:Version}), libcups2-dev (= ${binary:Version}), 
 libpng-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev
Description: Common UNIX Printing System(tm) - image development files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cups-bsd
Priority: extra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, cups-client (= ${binary:Version}),
 debconf | debconf-2.0, update-inetd, cups-common
Recommends: cups
Conflicts: lpr, lprng, cupsys-bsd (<< 1.3.7-6)
Replaces: lpr, cupsys-bsd (<< 1.3.7-6)
Provides: lpr, cupsys-bsd
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cups-common
Priority: optional
Section: net
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: cupsys-common (<< 1.3.7-6)
Replaces: cupsys-common (<< 1.3.7-6)
Provides: cupsys-common
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides common files for CUPS server and client packages.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cups-dbg
Priority: extra
Section: libdevel
Architecture: any
Depends: cups (= ${binary:Version})
Conflicts: cupsys-dbg (<< 1.3.7-6)
Replaces: cupsys-dbg (<< 1.3.7-6)
Description: Common UNIX Printing System(tm) - debugging symbols
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the debugging symbols of CUPS.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cupsys
Priority: extra
Section: oldlibs
Architecture: all
Depends: cups
Description: Common UNIX Printing System (transitional package)
 This is a dummy package to ease transition to new package name.
  .
  It can be safely removed from your system.

Package: cupsys-client
Priority: extra
Section: oldlibs
Architecture: all
Depends: cups-client
Description: Common UNIX Printing System (transitional package)
 This is a dummy package to ease transition to new package name.
  .
  It can be safely removed from your system.

Package: cupsys-common
Priority: extra
Section: oldlibs
Architecture: all
Depends: cups-common
Description: Common UNIX Printing System (transitional package)
 This is a dummy package to ease transition to new package name.
  .
  It can be safely removed from your system.

Package: cupsys-bsd
Priority: extra
Section: oldlibs
Architecture: all
Depends: cups-bsd
Description: Common UNIX Printing System (transitional package)
 This is a dummy package to ease transition to new package name.
  .
  It can be safely removed from your system.

Package: cupsys-dbg
Priority: extra
Section: oldlibs
Architecture: all
Depends: cups-dbg
Description: Common UNIX Printing System (transitional package)
 This is a dummy package to ease transition to new package name.
  .
  It can be safely removed from your system.

Package: libcupsys2
Priority: extra
Section: oldlibs
Architecture: all
Depends: libcups2
Description: Common UNIX Printing System (transitional package)
 This is a dummy package to ease transition to new package name.
  .
  It can be safely removed from your system.

Package: libcupsys2-dev
Priority: extra
Section: oldlibs
Architecture: all
Depends: libcups2-dev
Description: Common UNIX Printing System (transitional package)
 This is a dummy package to ease transition to new package name.
  .
  It can be safely removed from your system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
#export DH_OPTIONS

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/dpatch.mk

unpatch: deapply-dpatches

DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --libdir=/usr/lib --mandir=/usr/share/man --with-docdir=/usr/share/cups/doc-root --localedir=/usr/share/cups/locale --enable-slp --enable-libpaper --enable-ssl --enable-gnutls --disable-openssl --enable-threads --enable-static --enable-dbus --enable-gssapi --disable-pdftops --disable-launchd --with-cups-group=lp --with-system-groups=lpadmin --with-printcap=/var/run/cups/printcap --with-log-file-perm=0640 CFLAGS="$(CFLAGS)"
DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt
DEB_DH_INSTALLINIT_ARGS := -u'start 20 2 3 4 5 . stop 80 1 .'
DEB_DH_STRIP_ARGS := --dbg-package=cups-dbg
DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend-available
DEB_DH_COMPRESS_ARGS := -Xusr/share/doc/libcups2-dev/examples/scripting
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
LDFLAGS := -Wl,--as-needed

common-post-build-arch::
	# Fix permissions of filters/backends installed from debian/local/
	chmod 755 debian/local/filters/*
	chmod 755 debian/local/backends/*

clean::
	rm -f man/client.conf.man packaging/cups.list
	rm -f conf/mime.convs conf/snmp.conf init/org.cups.cups-lpd.plist

common-install-prehook-impl::
	(cd fonts && $(MAKE) install BUILDROOT=$(DEB_DESTDIR))

binary-post-install/cups::
	(cd $(DEB_DESTDIR)/../cups/usr/share/doc/cups && ln -sf ../../cups/doc-root online-docs)

	# Install PPDs into /usr/share/ppd/cups-included/<Manufacturer>, see
	# http://wiki.debian.org/PpdFileStructureSpecification
	for i in $(DEB_DESTDIR)/../cups/usr/share/cups/model/*.ppd; do \
	  m=$$(sed -n -e '/^\*Manufacturer:/s/.*"\([^"]*\)".*/\1/p' $$i); \
	  mkdir -p "$(DEB_DESTDIR)/../cups/usr/share/ppd/cups-included/$$m"; \
	  mv $$i "$(DEB_DESTDIR)/../cups/usr/share/ppd/cups-included/$$m/"; \
	done
	rmdir $(DEB_DESTDIR)/../cups/usr/share/cups/model

	dh_usrlocal

	# Install DBUS configuration file so that job progress is reported to
	# the system-config-printer applet
	install -D -m 644 packaging/cups-dbus.conf $(DEB_DESTDIR)/../cups/etc/dbus-1/system.d/cups.conf

	# install AppArmor profile on Ubuntu
	if [ "`lsb_release -is 2>/dev/null`" = "Ubuntu" ]; then \
	   install -D -m 644 debian/local/apparmor-profile debian/$(cdbs_curpkg)/etc/apparmor.d/usr.sbin.cupsd; \
	fi

binary-post-install/libcupsimage2-dev::
	rm -r debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
	ln -s libcupsimage2 debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
binary-post-install/cups-bsd::
	rm -r debian/cups-bsd/usr/share/doc/cups-bsd
	ln -s libcups2 debian/cups-bsd/usr/share/doc/cups-bsd
binary-post-install/libcups2-dev::
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/scripting/php/*.o
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/scripting/php/*.so
binary-post-install/cups-client::
	rm -r debian/cups-client/usr/share/doc/cups-client
	ln -s libcups2 debian/cups-client/usr/share/doc/cups-client

## cups 1.3.8-maemo1

=== debian/changelog ===
cups (1.3.8-maemo1) stable-security; urgency=high

  * fix to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Sat, 26 Jun 2010 22:40:00 +0200

cups (1.3.8-1+lenny7) stable-security; urgency=high

  * Non-maintainer upload by the security team
  * Fix several XSS issues in the CUPS admin web interface
    Fixes: CVE-2009-2820
    Thanks to Aaron Sigel and Marc Deslauriers

 -- Steffen Joeris <white@debian.org>  Fri, 06 Nov 2009 12:40:48 +1100

cups (1.3.8-1+lenny6) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix null pointer dereference on handling IPP_TAG_UNSUPPORTED
    leading to denial of service attacks (CVE-2009-0949).

 -- Nico Golde <nion@debian.org>  Mon, 25 May 2009 11:18:46 +0000

cups (1.3.8-1lenny5) stable-security; urgency=low

  * Add CVE-2009-0163_tiff_read_overflow.dpatch: Fix integer overflow induced
    heap buffer overflow in the _cupsImageReadTIFF() function. Discovered by
    iDefense. (CVE-2009-0163)
  * debian/rules: Remove group/other read permissions from the serial backend,
    so that it can run as root and thus is actually able to access /dev/ttyS*.
    In unstable this is fixed with a patch which relaxes the permissions
    checks, but that's too intrusive for a stable update. (Closes: #516945)

 -- Martin Pitt <mpitt@debian.org>  Sat, 04 Apr 2009 05:59:15 -0700

cups (1.3.8-1lenny4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to fix client request loop for large request over
    SSL. (closes: #506702)

 -- Bastian Blank <waldi@debian.org>  Tue, 13 Jan 2009 17:03:55 +0100

cups (1.3.8-1lenny4) unstable; urgency=high

  * High urgency due to security bug fix.
  * Add png-image-int-overflow.dpatch: Fix integer overflow in the PNG image
    reader (Closes: #507183, STR #2974, CVE-2008-5286)

 -- Martin Pitt <mpitt@debian.org>  Mon, 01 Dec 2008 17:33:18 -0800

cups (1.3.8-1lenny3) unstable; urgency=medium

  * Urgency medium because of RC bug fix.
  * debian/cups-bsd.postinst: Assume default printcap path (in /var/run/cups/)
    if not specified in cupsd.conf. This brings back the lost /etc/printcap
    for legacy applications. (Closes: #482186, LP: #282667)
  * hpgl-regression.dpatch: Replaced with version which got committed
    upstream.
  * Add runloop-backchannel-eof-spin.dpatch: Fix backend runloop spin on
    backchannel EOF (select() returns "ready for read" on EOF). This
    completely broke printing with e. g. HPJetDirect. Thanks to
    Samuel Thibault for tracking down the problem! (Closes: #489045)
  * debian/rules: Install the serial backend with 0744 permissions to make it
    run as root, since /dev/ttyS* are root:dialout and thus not accessible as
    user "lp". Thanks to Chanoch (Ken) Bloom. (One part of #506181)

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Nov 2008 09:05:35 +0100

cups (1.3.8-1lenny2) unstable; urgency=high

  * Urgency high due to security fixes.
  * debian/control: Package development moved to bzr, update Vcs- tags.
  * Add CVE-2008-3641_hpgl_filter_overflow.dpatch: Fix buffer overflow
    triggered by invalid number of pens in the HPGL filter. (CVE-2008-3641,
    STR #2911)
  * Add CVE-2008-3639_sgi_filter_overflow.dpatch: Fix buffer overflow due to
    unchecked boundary in the SGI filter. (CVE-2008-3639, STR #2918)
  * Add CVE-2008-3640_texttops_overflow.dpatch: Fix buffer overflow by
    specifying invalidly large or negative page metrics. (CVE-2008-3640,
    STR #2919)
  * Add hpgl-regression.dpatch: Revert the SP_select_pen() enumeration change
    introduced in STR #2911, because it changes the color mapping (e. g. "SP1"
    would now select a white pen instead of a black one, and "SP0" would not
    be valid at all any more). Also fix a remaining off-by-one loop. (STR
    #2966)
  * Add admin-fr-translation.dpatch: Update the French admin.tmpl, to have the
    missing "Find new printer" button and the "Subscriptions" section. Thanks
    to Yves-Alexis Perez! (Closes: #475270)

 -- Martin Pitt <mpitt@debian.org>  Sat, 11 Oct 2008 12:53:30 +0200

cups (1.3.8-1lenny1) unstable; urgency=medium

  Cherrypick bug fixes from trunk/experimental which need to go into Lenny.
  Urgency medium because of an RC bug fix.

  [ Johan Kiviniemi ]
  * Add cupsfilter-path-typo.dpatch: Fix a typo in scheduler/cupsfilter.c,
    which caused filters not to have /bin in their PATH.
  * debian/filters/pstopdf:
    - Do not log to /tmp/pstopdf.log. A user running the filter (e.g. via
      cupsfilter) made all other users (including cups itself) unable to run
      the filter because of no permission to open the logfile.
    - Put unquoted variables into quotes where appropriate.
    - Never create an outfile in the same directory as the given infile; the
      process might not have write access there.
    - set -e.

  [ Martin Pitt ]
  * Bump shlibs version for libcups2 and libcupsimage2. (Closes: #494168)
  * Add missing CVE and more verbose descriptions to security fixes to 1.3.6-1
    changelog.

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Sep 2008 08:33:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: cups
 Priority: optional
 Section: net
-Maintainer: Jonas Hurrelmann <j@outpo.st>
+Maintainer: Thomas Maass <inyourface@gmx.de>
 Standards-Version: 3.7.3
-Build-Depends: libtiff4-dev, libjpeg62-dev, zlib1g-dev,
- libpng12-dev, libgnutls-dev, libpaper-dev, 
+Build-Depends: libpam0g-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev,
+ libpng12-dev, libslp-dev, libgnutls-dev, libpaper-dev, libldap2-dev,
  debhelper (>= 5.0), po-debconf, cdbs (>= 0.4.27), sharutils, 
- dpatch (>= 1.11), libdbus-1-dev,
- libavahi-compat-libdnssd-dev, poppler-utils | xpdf-utils, lsb-release
-Uploaders: Jonas Hurrelmann <j@outpo.st>
-Vcs-Svn: svn://svn.debian.org/svn/pkg-cups/cupsys/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-cups/cupsys/trunk
+ dpatch (>= 1.11), libdbus-1-dev, libkrb5-dev | heimdal-dev,
+ libavahi-compat-libdnssd-dev, poppler-utils | xpdf-utils, lsb-release,
+ po4a (>= 0.29)
+Vcs-Bzr: bzr+ssh://bzr.debian.org/pkg-cups/cups/lenny
+Vcs-Browser: http://bazaar.launchpad.net/~pitti/cups/debian-lenny
 
 Package: libcups2
 Priority: optional
@@ -103,7 +103,7 @@
 Priority: optional
 Section: libdevel
 Architecture: any
-Depends: libcups2 (= ${binary:Version}), libgnutls-dev
+Depends: libcups2 (= ${binary:Version}), libgnutls-dev, libkrb5-dev | heimdal-dev
 Conflicts: libcupsys2-dev (<< 1.3.7-6)
 Replaces: libcupsys2-dev (<< 1.3.7-6)
 Provides: libcupsys2-dev
@@ -204,72 +204,3 @@
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
 
-Package: cupsys
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: cups
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: cupsys-client
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: cups-client
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: cupsys-common
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: cups-common
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: cupsys-bsd
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: cups-bsd
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: cupsys-dbg
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: cups-dbg
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: libcupsys2
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: libcups2
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: libcupsys2-dev
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: libcups2-dev
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,11 @@
 include /usr/share/cdbs/1/rules/dpatch.mk
 
 unpatch: deapply-dpatches
+
+# workaround for http://bugs.debian.org/469517
+ifneq ($(findstring $(DEB_BUILD_ARCH), arm armel),)
+  CFLAGS += -fno-stack-protector
+endif
 
 DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --libdir=/usr/lib --mandir=/usr/share/man --with-docdir=/usr/share/cups/doc-root --localedir=/usr/share/cups/locale --enable-slp --enable-libpaper --enable-ssl --enable-gnutls --disable-openssl --enable-threads --enable-static --enable-dbus --enable-gssapi --disable-pdftops --disable-launchd --with-cups-group=lp --with-system-groups=lpadmin --with-printcap=/var/run/cups/printcap --with-log-file-perm=0640 CFLAGS="$(CFLAGS)"
 DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
@@ -63,6 +68,10 @@
 	   install -D -m 644 debian/local/apparmor-profile debian/$(cdbs_curpkg)/etc/apparmor.d/usr.sbin.cupsd; \
 	fi
 
+	# Make the serial backend run as root, since /dev/ttyS* are
+	# root:dialout and thus not accessible as user lp
+	chmod go-rx debian/$(cdbs_curpkg)/usr/lib/cups/backend-available/serial
+
 binary-post-install/libcupsimage2-dev::
 	rm -r debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
 	ln -s libcupsimage2 debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev

## cups 1.3.8-maemo2

=== debian/changelog ===
cups (1.3.8-maemo2) stable-security; urgency=high

  * fixex dependency of cups-bsd (update-inetd to netbase)

 -- Thomas Maass <inyourface@gmx.de>  Thu, 01 Jul 2010 19:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -146,7 +146,7 @@
 Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, cups-client (= ${binary:Version}),
- debconf | debconf-2.0, update-inetd, cups-common
+ debconf | debconf-2.0, netbase, cups-common
 Recommends: cups
 Conflicts: lpr, lprng, cupsys-bsd (<< 1.3.7-6)
 Replaces: lpr, cupsys-bsd (<< 1.3.7-6)

=== debian/watch ===
version=3
ftp://ftp.easysw.com/pub/cups/([\d\.]+)/cups-(.*)-source\.tar\.gz \
	debian uupdate --no-symlink

## cups 1.3.8-maemo3

=== debian/changelog ===
cups (1.3.8-maemo3) stable-security; urgency=high

  * removed dependency to ssl-cert
  * added upstart-script

 -- Thomas Maass <inyourface@gmx.de>  Thu, 02 Jul 2010 16:42:00 +0200

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
 Depends: ${shlibs:Depends}, debconf (>= 1.2.9) | debconf-2.0,
  poppler-utils | xpdf-utils, perl-modules, procps, 
  ghostscript, lsb-base (>= 3), cups-common,  
- ssl-cert (>= 1.0.11), adduser
+ adduser
 Recommends: cups-client, smbclient (>= 3.0.9), foomatic-filters, avahi-utils
 Suggests: cups-bsd, cups-driver-gutenprint, foomatic-db-engine, foomatic-db,
  hplip, xpdf-korean | xpdf-japanese | xpdf-chinese-traditional | xpdf-chinese-simplified,

=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,9 @@
 	# Make the serial backend run as root, since /dev/ttyS* are
 	# root:dialout and thus not accessible as user lp
 	chmod go-rx debian/$(cdbs_curpkg)/usr/lib/cups/backend-available/serial
+	
+	#upstart-script
+	cp $(CURDIR)/debian/cups-event.d $(CURDIR)/debian/cups/etc/event.d/cups
 
 binary-post-install/libcupsimage2-dev::
 	rm -r debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev

## cups 1.3.8-maemo4

=== debian/changelog ===
cups (1.3.8-maemo4) stable-security; urgency=high

  * New Debian package.
  * Removed --previous option from po4a.
  * run-stp-tests.sh always successful
  * Removed dependency debconf-2.0

 -- Thomas Maass <mase@setho.org>  Mon, 21 Feb 2011 20:18:00 +0200

cups (1.3.8-1+lenny8) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix loading of localized message string from arbitrary files
    through exporting the LOCALEDIR environment variable when lppasswd
    has a setuid bit set (CVE-2010-0393).

 -- Nico Golde <nion@debian.org>  Tue, 01 Mar 2010 14:06:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cups
 Priority: optional
 Section: net
-Maintainer: Thomas Maass <inyourface@gmx.de>
+Maintainer: Thomas Maass <mase@setho.org>
 Standards-Version: 3.7.3
 Build-Depends: libpam0g-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev,
  libpng12-dev, libslp-dev, libgnutls-dev, libpaper-dev, libldap2-dev,
@@ -55,7 +55,7 @@
 Priority: optional
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, debconf (>= 1.2.9) | debconf-2.0,
+Depends: ${shlibs:Depends}, debconf (>= 1.2.9),
  poppler-utils | xpdf-utils, perl-modules, procps, 
  ghostscript, lsb-base (>= 3), cups-common,  
  adduser
@@ -146,7 +146,7 @@
 Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, cups-client (= ${binary:Version}),
- debconf | debconf-2.0, netbase, cups-common
+ debconf, netbase, cups-common
 Recommends: cups
 Conflicts: lpr, lprng, cupsys-bsd (<< 1.3.7-6)
 Replaces: lpr, cupsys-bsd (<< 1.3.7-6)
@@ -203,4 +203,3 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
-

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,11 @@
 DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend-available
 DEB_DH_COMPRESS_ARGS := -Xusr/share/doc/libcups2-dev/examples/scripting
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
+ifneq ($(findstring $(DEB_BUILD_ARCH), arm m68k),)
+DEB_MAKE_CHECK_TARGET := check || true
+else
+DEB_MAKE_CHECK_TARGET := check
+endif
 LDFLAGS := -Wl,--as-needed
 
 common-post-build-arch::
@@ -71,7 +76,7 @@
 	# Make the serial backend run as root, since /dev/ttyS* are
 	# root:dialout and thus not accessible as user lp
 	chmod go-rx debian/$(cdbs_curpkg)/usr/lib/cups/backend-available/serial
-	
+
 	#upstart-script
 	cp $(CURDIR)/debian/cups-event.d $(CURDIR)/debian/cups/etc/event.d/cups

## cups 1.3.8-maemo5

=== debian/changelog ===
cups (1.3.8-maemo5) stable-security; urgency=high

  * Fixed docs.
  * Removed ldap support.
  * Changed dependency libkrb5-dev to comerr-dev.

 -- Thomas Maass <mase@setho.org>  Thu, 24 Feb 2011 16:21:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
   CFLAGS += -fno-stack-protector
 endif
 
-DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --libdir=/usr/lib --mandir=/usr/share/man --with-docdir=/usr/share/cups/doc-root --localedir=/usr/share/cups/locale --enable-slp --enable-libpaper --enable-ssl --enable-gnutls --disable-openssl --enable-threads --enable-static --enable-dbus --enable-gssapi --disable-pdftops --disable-launchd --with-cups-group=lp --with-system-groups=lpadmin --with-printcap=/var/run/cups/printcap --with-log-file-perm=0640 CFLAGS="$(CFLAGS)"
+DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --datarootdir=/usr/share --libdir=/usr/lib --mandir=/usr/share/man --with-docdir=/usr/share/cups/doc-root --localedir=/usr/share/cups/locale --enable-slp --enable-libpaper --enable-ssl --enable-gnutls --disable-openssl --enable-threads --enable-static --enable-dbus --enable-gssapi --disable-pdftops --disable-launchd --disable-ldap --with-cups-group=lp --with-system-groups=lpadmin --with-printcap=/var/run/cups/printcap --with-log-file-perm=0640 CFLAGS="$(CFLAGS)"
 DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
 DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt
 DEB_DH_INSTALLINIT_ARGS := -u'start 20 2 3 4 5 . stop 80 1 .'

## cups 1.3.8-maemo7

=== debian/changelog ===
cups (1.3.8-maemo7) stable-security; urgency=high

  * Removed optification, which made too many problems.

 -- Thomas Maass <mase@setho.org>  Sun, 27 Feb 2011 13:16:00 +0200

cups (1.3.8-maemo6) stable-security; urgency=high

  * Added README.Maemo.

 -- Thomas Maass <mase@setho.org>  Thu, 24 Feb 2011 20:37:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --datarootdir=/usr/share --libdir=/usr/lib --mandir=/usr/share/man --with-docdir=/usr/share/cups/doc-root --localedir=/usr/share/cups/locale --enable-slp --enable-libpaper --enable-ssl --enable-gnutls --disable-openssl --enable-threads --enable-static --enable-dbus --enable-gssapi --disable-pdftops --disable-launchd --disable-ldap --with-cups-group=lp --with-system-groups=lpadmin --with-printcap=/var/run/cups/printcap --with-log-file-perm=0640 CFLAGS="$(CFLAGS)"
 DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
 DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt
+DEB_INSTALL_DOCS_ALL := debian/README.Maemo
 DEB_DH_INSTALLINIT_ARGS := -u'start 20 2 3 4 5 . stop 80 1 .'
 DEB_DH_STRIP_ARGS := --dbg-package=cups-dbg
 DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend-available
